io.undertow.util

## Class FlexBase64.EncoderInputStream

- java.lang.Object
- - java.io.InputStream
  - - io.undertow.util.FlexBase64.EncoderInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  FlexBase64

    public static class FlexBase64.EncoderInputStream
    extends InputStream

An input stream which encodes bytes as they are read from a stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`